Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.refactoring
Class RefactorResourceAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.owl.ui.actions.ResourceAction
              edu.stanford.smi.protegex.owl.ui.refactoring.RefactorResourceAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, Comparable, EventListener, Action

Direct Known Subclasses:
  RenameAcrossFilesAction, SetDeprecatedFalseAction, SetDeprecatedTrueAction, SetSubclassesDisjointFalseAction, SetSubclassesDisjointTrueAction

    public abstract class RefactorResourceAction

extends ResourceAction

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary
`static String` | `GROUP`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`RefactorResourceAction(String name, Icon icon)`

Method Summary

Methods inherited from class edu.stanford.smi.protegex.owl.ui.actions.ResourceAction
`compareTo, getComponent, getGroup, getOWLModel, getPriority, getResource, initialize, isInToolBar, isSuitable`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.event.ActionListener
`actionPerformed`

Field Detail

### GROUP

    public static final String GROUP

See Also:
  Constant Field Values

Constructor Detail

### RefactorResourceAction

    public RefactorResourceAction(String name,
                                  Icon icon)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.